/* ===== Vitrine — MMV Representação Comercial ===== */
:root{
  --header-h: 92px;
}

html, body{
  margin: 0;
  height: 100vh;
  overflow: hidden;
}

.nav-toggle{ z-index: 11; position: relative; }

iframe{
  display: block;
  position: fixed;
  top: var(--header-h);
  bottom: 63px;
  left: 0;
  width: 100%;
  height: calc(100vh - var(--header-h) - 63px);
  border: 0;
  z-index: 1;
}

#montesite-footer-badge{
  position: fixed !important;
  bottom: 0 !important;
  height: 63px !important;
  z-index: 10 !important;
}

@media (max-width: 768px){
  /* Garante que os botões de navegação da vitrine não sumam no mobile */
  iframe{
    padding-bottom: 50px !important;
    height: calc(100vh - var(--header-h) - 63px - 50px) !important; /* Ajuste compensatório */
  }
}
